%define upstream_name    Nagios-Plugin-WWW-Mechanize
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Login to a web page as a user and get data as a Nagios plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Nagios::Plugin)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(WWW::Mechanize)

BuildArch: noarch

%description
This module ties Nagios::Plugin with WWW::Mechanize so that there's less
code in your perl script and the most common work is done for you.

For example, the plugin will automatically call nagios_exit(CRITICAL, ...)
if a page is unavailable or a submit_form fails. The plugin will also keep
a track of the time for responses from the remote web server and output
that as performance data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/Nagios


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-7.mga6
+ Revision: 1030873
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.130.0-6.mga6
+ Revision: 946066
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 740985
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 685617
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 513372
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 370473
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 37245
- remove mdv macros
- mageia rebuild
- imported package perl-Nagios-Plugin-WWW-Mechanize


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.1
+ Revision: 461331
- update to 0.13

* Thu Oct 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.120.0-2mdv2010.0
+ Revision: 458765
- ensure backportability

* Tue Sep 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 443244
- import perl-Nagios-Plugin-WWW-Mechanize


* Tue Sep 15 2009 cpan2dist 0.12-1mdv
- initial mdv release, generated with cpan2dist
